- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization Scopes
- Try it!
Lists all revisions of a deployment. Revisions are returned in descending order of revision creation time.
HTTP request
GET https://apigeeregistry.googleapis.com/v1/{name=projects/*/locations/*/apis/*/deployments/*}:listRevisions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the deployment to list revisions for. |
Query parameters
| Parameters | |
|---|---|
pageSize |
The maximum number of revisions to return per page. |
pageToken |
The page token, received from a previous deployments.listRevisions call. Provide this to retrieve the subsequent page. |
filter |
An expression that can be used to filter the list. Filters use the Common Expression Language and can refer to all message fields. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
Response message for ListApiDeploymentRevisionsResponse.
| JSON representation |
|---|
{
"apiDeployments": [
{
object ( |
| Fields | |
|---|---|
apiDeployments[] |
The revisions of the deployment. |
nextPageToken |
A token that can be sent as |
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform